com.lowagie.text.pdf

## Class PdfNumberTree

- java.lang.Object
- - com.lowagie.text.pdf.PdfNumberTree

    public class PdfNumberTree
    extends java.lang.Object

Creates a number tree.

Author:
  Paulo Soares (psoares@consiste.pt)

### Field Summary

Fields
`private static int` `leafSize`

### Constructor Summary

Constructors
Constructor and Description
`PdfNumberTree()`

### Method Summary

Methods
`private static void` `iterateItems(PdfDictionary dic, java.util.HashMap items)`
`static java.util.HashMap` `readTree(PdfDictionary dic)`
`static PdfDictionary` `writeTree(java.util.HashMap items, PdfWriter writer)` Creates a number tree.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### leafSize

    private static final int leafSize

See Also:
  Constant Field Values

### Constructor Detail

#### PdfNumberTree

    public PdfNumberTree()

### Method Detail

#### writeTree

    public static PdfDictionary writeTree(java.util.HashMap items,
                          PdfWriter writer)
                                   throws java.io.IOException

Creates a number tree.

Parameters:
  `items` - the item of the number tree. The key is an `Integer` and the value is a `PdfObject`.
  `writer` - the writer
Returns:
  the dictionary with the number tree.
Throws:
  `java.io.IOException` - on error

#### iterateItems

    private static void iterateItems(PdfDictionary dic,
                    java.util.HashMap items)

#### readTree

    public static java.util.HashMap readTree(PdfDictionary dic)